Annotations
Delete Annotation
Available for: Chatflow, Chatbot, Agent apps.
Deletes an annotation and its associated hit history.
DELETE
/
apps
/
annotations
/
{annotation_id}
Delete Annotation
curl --request DELETE \
--url https://{api_base_url}/apps/annotations/{annotation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/apps/annotations/{annotation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/apps/annotations/{annotation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 404,
"code": "not_found",
"message": "Annotation not found."
}Authorizations
API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.
Path Parameters
The unique identifier of the annotation to delete.
Response
Annotation deleted successfully.
Last modified on July 9, 2026
Was this page helpful?
⌘I
Delete Annotation
